%global enable_tests 1
%global srcname stream-equal

Name:           nodejs-%{srcname}
Version:        0.1.7
Release:        6%{?dist}
Summary:        Test that two readable streams are equal to each other
License:        MIT
URL:            https://github.com/fent/node-stream-equal
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(from)
BuildRequires:  npm(readable-stream)
%endif

%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules/
%nodejs_fixdep readable-stream ^2.0


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha -R spec test/*-test.js
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 07 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.1.7-1
- Update to new version

* Thu Jul 23 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 0.1.5-3
- fixdep npm(readable-stream)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.1.5-1
- Initial package
